> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.umnai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.umnai.com/_mcp/server.

# Structure

The Structure view describes a trained model.

Use it to review the model artefact after training, inspect how features were organised into modules, and understand the rules, partitions, and bins that make up the model.

## When to use

| Use case                     | Description                                                                                                  |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------ |
| Review a trained model       | Check the model summary, features, targets, module count, partition count, and training parameters.          |
| Inspect feature interactions | See which features appear in each module and whether a module represents a single feature or an interaction. |
| Audit rules and partitions   | Inspect the conditions, expressions, and bins used by the model partitions.                                  |
| Prepare for explanation work | Understand the model structure before using deployed model views for prediction-level explanations.          |

## Generate the view

Generate the Structure view from a trained model.

### Request

POST [https://api.hi.umnai.com/models/\{modelId}/views](https://api.hi.umnai.com/models/\{modelId}/views)

```curl
curl -X POST https://api.hi.umnai.com/models/modelId/views \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "data": [
    {
      "view_type": "MODEL_STRUCTURE"
    }
  ]
}'
```

```python
import requests

url = "https://api.hi.umnai.com/models/:modelId/views"

payload = { "data": [{ "view_type": "MODEL_STRUCTURE" }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/models/:modelId/views';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":[{"view_type":"MODEL_STRUCTURE"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/models/:modelId/views"

	payload := strings.NewReader("{\n  \"data\": [\n    {\n      \"view_type\": \"MODEL_STRUCTURE\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/models/:modelId/views")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": [\n    {\n      \"view_type\": \"MODEL_STRUCTURE\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.hi.umnai.com/models/:modelId/views")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": [\n    {\n      \"view_type\": \"MODEL_STRUCTURE\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.hi.umnai.com/models/:modelId/views', [
  'body' => '{
  "data": [
    {
      "view_type": "MODEL_STRUCTURE"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/models/:modelId/views");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": [\n    {\n      \"view_type\": \"MODEL_STRUCTURE\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [["view_type": "MODEL_STRUCTURE"]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/models/:modelId/views")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "data": [
    {
      "view_type": "MODEL_STRUCTURE",
      "view_data": {
        "summary": {
          "columns": [
            "model_id",
            "model_name",
            "model_title",
            "model_created",
            "model_last_trained",
            "model_uvc",
            "model_intercept",
            "has_personal_individual_data",
            "has_reuse_restrictions",
            "model_doi",
            "model_copyright",
            "n_input_features",
            "n_transformed_features",
            "n_output_targets",
            "features",
            "targets",
            "n_modules",
            "n_partitions",
            "max_interaction_degree",
            "model_interaction_count",
            "max_width",
            "max_depth",
            "n_categorical_features",
            "n_model_bins",
            "run_params",
            "is_sparse",
            "module_names",
            "n_feature_groups"
          ],
          "index": [
            0
          ],
          "data": [
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533",
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533",
              "",
              1769708667000,
              1769708667000,
              "",
              -1.0836982274,
              false,
              false,
              "",
              "",
              14,
              116,
              1,
              [
                "age",
                "workclass",
                "fnlwgt",
                "education",
                "educational_45_num",
                "marital_45_status",
                "occupation",
                "relationship",
                "race",
                "gender",
                "capital_45_gain",
                "capital_45_loss",
                "hours_45_per_45_week",
                "native_45_country"
              ],
              [
                "income"
              ],
              18,
              18,
              2,
              23,
              2,
              0,
              8,
              203,
              "{\"alpha\": 0.0, \"alpha_factor\": 2.0, \"bin_min_distance\": 0.0, \"binning_strategy\": \"DTREE\", \"bins\": 8, \"boosting_strategy\": \"INTERACTION_DEGREE_ASC\", \"cache_size\": 10, \"dynamic_cv\": true, \"early_stopping_patience\": 3, \"early_stopping_tolerance\": 0.0001, \"estimators\": 2, \"estimators_optimize_winsorize_level\": false, \"estimators_winsorize_level\": 0.0, \"exclude_implicit\": false, \"fine_tuning_evals\": 0, \"floatx\": \"float64\", \"init_depth\": 0, \"l1_ratio\": 0.0, \"l1_ratio_delta\": 2.0, \"learning_rate\": 1.0, \"learning_rate_decay\": 1.0, \"learning_rate_patience\": 16, \"learning_rate_tolerance\": 0.0001, \"log_interval\": 10, \"log_model\": true, \"loss_fn\": null, \"max_depth\": 3, \"max_depth_momentum\": 1, \"max_features\": 1.0, \"max_interaction_degree\": 2, \"max_interactions\": 8, \"max_iterations\": 10000, \"max_polynomial_degree\": 2, \"max_rounds\": 1, \"max_samples\": 1.0, \"model_capabilities\": {\"estimators_data\": true, \"has_causal\": false}, \"model_complexity_max_iterations\": 1, \"model_complexity_patience\": 1, \"model_complexity_tolerance\": 0.0001, \"model_constraints\": [], \"partition_min_delta\": 0.0, \"partition_min_delta_factor\": 0.5, \"partition_min_delta_fraction\": 0.4, \"partition_min_samples\": 20, \"progress_callback\": null, \"prune_patience\": 1, \"prune_threshold\": 0.0, \"regularization_patience\": 10, \"sparse_model\": true, \"subsample\": 10, \"training_size\": 0.8, \"validation_size\": 0.2}",
              true,
              [
                "age",
                "educational_45_num",
                "capital_45_gain",
                "capital_45_loss",
                "hours_45_per_45_week",
                "education",
                "gender",
                "marital_45_status",
                "native_45_country",
                "occupation",
                "race",
                "relationship",
                "workclass",
                "occupation x relationship",
                "education x marital_45_status",
                "marital_45_status x occupation",
                "capital_45_gain x relationship",
                "educational_45_num x relationship"
              ],
              0
            ]
          ],
          "foreign_keys": [],
          "labels": [],
          "types": [
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            }
          ]
        },
        "feature_groups": {
          "columns": [],
          "index": [],
          "data": [],
          "foreign_keys": [],
          "labels": [],
          "types": []
        },
        "modules": {
          "columns": [
            "module_id",
            "module_index",
            "module_stable_label",
            "module_name",
            "module_features",
            "n_partitions",
            "n_parameters",
            "n_nonzero_parameters",
            "n_rules",
            "module_depth",
            "n_module_features",
            "feature_count",
            "interaction_degree",
            "max_polynomial_degree",
            "interaction_count",
            "n_bins",
            "bins",
            "partition_exemplars"
          ],
          "index": [
            0,
            1,
            2,
            3,
            4,
            5,
            6,
            7,
            8,
            9,
            10,
            11,
            12,
            13,
            14,
            15,
            16,
            17
          ],
          "data": [
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_6ad7198fde0dfc1d7df16ae4c513db62cc38e26f82098432cbd4898f9995c8c1",
              0,
              "module_age",
              "age",
              [
                "age"
              ],
              1,
              5,
              6,
              1,
              0,
              1,
              1,
              1,
              2,
              1,
              1,
              [
                "76770c83d8d7401d840704780725b473"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_a950d2fb53649d40188a531b5d352d99f5939e28b97fc02fe43a42802995dc10",
              1,
              "module_educational_45_num",
              "educational_45_num",
              [
                "educational_45_num"
              ],
              1,
              5,
              6,
              1,
              0,
              1,
              1,
              1,
              2,
              1,
              1,
              [
                "7be739065834404cb9e5cc987d4a812e"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_4cffa35d90c724f76f80249ba71b7c8f0279ad9eee4b5ff151bc7e25c96e6369",
              2,
              "module_capital_45_gain",
              "capital_45_gain",
              [
                "capital_45_gain"
              ],
              1,
              5,
              6,
              1,
              0,
              1,
              1,
              1,
              2,
              1,
              1,
              [
                "d50bcf80db5c4aabbc2e46e0d2392b12"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_df9aa1bd9662fa4a904de1ae4fe323af3cf42907e4b35f50be40feab5966f22f",
              3,
              "module_capital_45_loss",
              "capital_45_loss",
              [
                "capital_45_loss"
              ],
              1,
              5,
              6,
              1,
              0,
              1,
              1,
              1,
              2,
              1,
              1,
              [
                "8729cd66a144435fb3cc35a5a7f7ff8c"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_0c44519fb8eaddc8acdc86b8c6fb95f823258dc0f34dfd010d8c7aedec64a835",
              4,
              "module_hours_45_per_45_week",
              "hours_45_per_45_week",
              [
                "hours_45_per_45_week"
              ],
              1,
              5,
              6,
              1,
              0,
              1,
              1,
              1,
              2,
              1,
              1,
              [
                "fbb9204a1bad43e186cdbf6f978a048a"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_e0c7c5e68b525dab3fd921a8900c309f876177522b98718ad0c3f8663d4762c3",
              5,
              "module_education",
              "education",
              [
                "education"
              ],
              1,
              35,
              36,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              17,
              [
                "0941df1d2b2c4a33bcf9204e1beb67a7",
                "119ebbf9e2be42ce9ac58cd4760d6bbb",
                "1f86ba4798ee46708e81a223c3e6e69b",
                "30687e4fd005467d9d5711936a7e2740",
                "42c6bf495fd8468bb30bf7937c860b57",
                "54b10600b271429ebac5f4f16a9bd101",
                "57ef7dcfd0294249b972067e819343a6",
                "59354f9241194e1bbbc0704a5df9832a",
                "62f9dd9baa4a4c36a4fe042decbf1c79",
                "66d4710f87e2421b85ee355e13f2e594",
                "7651750bbebc4f59b06743136eb8e908",
                "825f2c530aae4edda287d4e7c2877ec6",
                "856f3b989e284455b9ff88d4cb30cec4",
                "ad76cadd266545af8b035102104b3d7e",
                "b4019f3de2da479db0ba544fddb377ab",
                "b511555423bf4021a7e7e4bac893f6b0",
                "ce9d60ec652443ffaa4c91cf1ccce112"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_fdef43683dc796e21a2345b44b17dbc8f04162a422326a211dc8fc6dd003faba",
              6,
              "module_gender",
              "gender",
              [
                "gender"
              ],
              1,
              7,
              8,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              3,
              [
                "17db1085b9944386b39f8b8b4e5b3a79",
                "688d759623d14756813eb5f931b8f55b",
                "702d11deef64422983d9f38c58da6f19"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_41aac860702f382495f3c376afc595183863678636fa1712e51d23afdc8d9cf2",
              7,
              "module_marital_45_status",
              "marital_45_status",
              [
                "marital_45_status"
              ],
              1,
              17,
              18,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              8,
              [
                "2a35f6246f144227bc71df4c932d9552",
                "5f93311adfd147f9813aec410f8ec15c",
                "8074bc22900a47e68d19efea66baac57",
                "a26a3fa7cb0948ada40bef76678d3877",
                "cfb186ca987a4e79a919bcb106ad73f1",
                "d93d90df4fb648be9303609907304851",
                "e434c8027c9d4c35962d23a378935a3d",
                "f98d150bd2564e44b1119cefbf239be5"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_8ddd0f4fae1e80fe196647cc35dae1a58ece199254c830e7c20b141e31bc8b14",
              8,
              "module_native_45_country",
              "native_45_country",
              [
                "native_45_country"
              ],
              1,
              87,
              88,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              43,
              [
                "060a73b7932240be928cb38a26f56b64",
                "0bfdfcc5a6fa4beab45f444474fdff3b",
                "1cc99e23f5d54397b090435372391ce7",
                "1cf738e45f81470b83a544687e9fd5b9",
                "31d41d7704fb46f5b745fd9e2346f9cf",
                "32e855a8cb2547e28d9839deb327e87f",
                "343e61466f574ad3aa2f63c521fea0c5",
                "34940b204a75484db31e96b6c4cdc3b5",
                "38c612268c064b32ae503d90feeecf1a",
                "392c94069dcd4150ab95493ffc41048b",
                "419fd2d2303342598bda35b8a8643c59",
                "56ef96ec4dff4f8e9d7b0cce2afec65f",
                "593d969735b34399aead6a0f2a8ea4e5",
                "67d18827cd3545f9ad7cd02c9c26ebaa",
                "69e970e583834252b45a03d55fb7fc26",
                "6f58e2c42e0a4b2f98ae7dfa9e1ca1c1",
                "710002a8bddb4d4cad9bf6a0ec1058f1",
                "7477610815764bbab72b2d50e1d3ca05",
                "791ddae0c7024183927f8ec75b0fd44a",
                "800f131a843c484187c9aa5e7951a635",
                "853ce75913fb4c2c9c250d36a31701eb",
                "9127f6651446424b98819825a90daead",
                "9254a17eda1f47cfb445898e7ac34c3e",
                "9733fdbc623348f7a74ab2f4d53d3ae0",
                "9a69efa0f2d949f6b390da3bc507828d",
                "b004a48fc740489e88418c549098ffa3",
                "b51ac3337f994082a7acc5eb7dfd85c5",
                "b68fee7191b840b68e97bb3c34ba6d99",
                "b6fc12b9265448d2929013af226f62cd",
                "b713ace46a354a4ebb40506583eb0203",
                "b8fd6efd7dce4acaa4299a6d2049aba2",
                "c513a21976ca4959b7f745b7741d05d3",
                "cbf344fb068843fa8c47840d8045c06f",
                "cdef970dd3364b3094d0b9f09ccfc667",
                "d1ef6a7a2c464bcd9b8b90528ace0185",
                "d8530c0df6be46dd978cb6b4226ecb51",
                "d9b9dbf0036d4430ae95c8504782e5eb",
                "e90dcd67341b40f5b5b92b3a48b0b81b",
                "e9bdf0129f7945cb8f05f81405ac37f3",
                "f07ecdcac25e48cb88291cc6dfd330cd",
                "f0d1dc1167f14914ae8b78637e4e2e5c",
                "f5c6aab9996e4362a42e351e0d8e2dcc",
                "fa02faf8539042b7a923262b964dfb20"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_e4061e29d3e0537f13743dbe35e929866962517471698a5130848ac301944c80",
              9,
              "module_occupation",
              "occupation",
              [
                "occupation"
              ],
              1,
              33,
              34,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              16,
              [
                "02969caf95424b6eb6dec0ee8b9975b0",
                "29980d0ec6304593981fce2e1f6a5b7f",
                "35f35da1765c41b186a525b4c6cdfa96",
                "3924d3a3343142a38ef3caa900ea6d66",
                "4a8b01d813d448099768e86decf000ec",
                "4f0cf95447bc45e5a0a62f468f67e4d6",
                "6dbdcd29d6a74f77868cdc6813e5e7c1",
                "70d8a626bcc844dd877dfa3f736020b7",
                "70fa1d30cddd48948e0ce12af4a0ecc4",
                "7f703537e6624e328bb6fcc50a43cdea",
                "b84aaf4448a04a6eb450a23a8f7b7f1d",
                "ca16d471921a42918f9264c513072132",
                "cdba6ff73ab64c369c4d706f45bc4144",
                "d13874bd7fa84d11b92c53bc18f722ae",
                "d48ef3324f004f9c840a28125ac7f704",
                "f879827597c6480fba81a066c7932168"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_b537b585f259d113cda3a473e86f98a051af0ec5c05e174e09de560918e99e85",
              10,
              "module_race",
              "race",
              [
                "race"
              ],
              1,
              13,
              14,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              6,
              [
                "1a7c3220320c4562aafc6ccb8719a693",
                "30fdf4f35aa14852b6ec69cf459acd47",
                "49c04dec99b54019949cb4daa757d6df",
                "5471b74d9927491f8a8a109075cdccaa",
                "a359f87372be4ecda4165fe94993b15c",
                "cda7e16317db4df1839662da75f1a328"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_acf1acd7421a3bf6e6a38f89c8ab6e8c5cc56649f101c962d406ee530642c4f6",
              11,
              "module_relationship",
              "relationship",
              [
                "relationship"
              ],
              1,
              15,
              16,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              7,
              [
                "03a663f246af46b2b690a592b9c51d8e",
                "48c523566aea4ffab2d8010852ccf59b",
                "6e27a63567a748b3a958139a20d3e137",
                "7eee76b0927c4fc5b51ba22e85199704",
                "c0d136a30e514c97a0f96ddf8dd705ef",
                "e4ac01936b2842509129b42e3ff4b9ac",
                "fa5946fa467c472990e5775e18d6e3fc"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_80990b7ff466e1dd50fa00bef5d3e4f3b584e6370043ef3535cd3b70032d59c3",
              12,
              "module_workclass",
              "workclass",
              [
                "workclass"
              ],
              1,
              21,
              22,
              1,
              0,
              1,
              1,
              1,
              1,
              1,
              10,
              [
                "40af55e7f2304a6eba2f3407bfe7ff4f",
                "4a3b2d4c738f496fb8b8a6bb02c469a6",
                "4d78a4f178b94018a4d0e9225621ba3d",
                "9e623b7e93424f9ea34a88055936ef93",
                "ba3996650e404e70a0d6c3fb49cd6cb5",
                "bbc79bea1cd44ccca8af13c2fc757efe",
                "d15c53da8af743e88f845af1e8dabdff",
                "de219c7f597e4ec38a3440592bc8441a",
                "de6428513353417aaa86a8de6192371e",
                "fbf46ffeb5ed4ba0b81fc37db547e0c6"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_4ec47fa392bb34b80d4739cfb0c016fceeed89918161e3fac3bc0bde5c873f1c",
              13,
              "module_occupation_relationship",
              "occupation x relationship",
              [
                "occupation",
                "relationship"
              ],
              1,
              47,
              48,
              1,
              0,
              2,
              2,
              2,
              1,
              2,
              23,
              [
                "02969caf95424b6eb6dec0ee8b9975b0",
                "03a663f246af46b2b690a592b9c51d8e",
                "29980d0ec6304593981fce2e1f6a5b7f",
                "35f35da1765c41b186a525b4c6cdfa96",
                "3924d3a3343142a38ef3caa900ea6d66",
                "48c523566aea4ffab2d8010852ccf59b",
                "4a8b01d813d448099768e86decf000ec",
                "4f0cf95447bc45e5a0a62f468f67e4d6",
                "6dbdcd29d6a74f77868cdc6813e5e7c1",
                "6e27a63567a748b3a958139a20d3e137",
                "70d8a626bcc844dd877dfa3f736020b7",
                "70fa1d30cddd48948e0ce12af4a0ecc4",
                "7eee76b0927c4fc5b51ba22e85199704",
                "7f703537e6624e328bb6fcc50a43cdea",
                "b84aaf4448a04a6eb450a23a8f7b7f1d",
                "c0d136a30e514c97a0f96ddf8dd705ef",
                "ca16d471921a42918f9264c513072132",
                "cdba6ff73ab64c369c4d706f45bc4144",
                "d13874bd7fa84d11b92c53bc18f722ae",
                "d48ef3324f004f9c840a28125ac7f704",
                "e4ac01936b2842509129b42e3ff4b9ac",
                "f879827597c6480fba81a066c7932168",
                "fa5946fa467c472990e5775e18d6e3fc"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_3b4ae933141b8f2f55eb696a195d529e0b1344839df143ed7715e540e07fafd8",
              14,
              "module_education_marital_45_status",
              "education x marital_45_status",
              [
                "education",
                "marital_45_status"
              ],
              1,
              51,
              52,
              1,
              0,
              2,
              2,
              2,
              1,
              2,
              25,
              [
                "0941df1d2b2c4a33bcf9204e1beb67a7",
                "119ebbf9e2be42ce9ac58cd4760d6bbb",
                "1f86ba4798ee46708e81a223c3e6e69b",
                "2a35f6246f144227bc71df4c932d9552",
                "30687e4fd005467d9d5711936a7e2740",
                "42c6bf495fd8468bb30bf7937c860b57",
                "54b10600b271429ebac5f4f16a9bd101",
                "57ef7dcfd0294249b972067e819343a6",
                "59354f9241194e1bbbc0704a5df9832a",
                "5f93311adfd147f9813aec410f8ec15c",
                "62f9dd9baa4a4c36a4fe042decbf1c79",
                "66d4710f87e2421b85ee355e13f2e594",
                "7651750bbebc4f59b06743136eb8e908",
                "8074bc22900a47e68d19efea66baac57",
                "825f2c530aae4edda287d4e7c2877ec6",
                "856f3b989e284455b9ff88d4cb30cec4",
                "a26a3fa7cb0948ada40bef76678d3877",
                "ad76cadd266545af8b035102104b3d7e",
                "b4019f3de2da479db0ba544fddb377ab",
                "b511555423bf4021a7e7e4bac893f6b0",
                "ce9d60ec652443ffaa4c91cf1ccce112",
                "cfb186ca987a4e79a919bcb106ad73f1",
                "d93d90df4fb648be9303609907304851",
                "e434c8027c9d4c35962d23a378935a3d",
                "f98d150bd2564e44b1119cefbf239be5"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_b6f3351fee9d7682c2b76a2b7f37de91f6cd06bf32285cffb220d58dc5399668",
              15,
              "module_marital_45_status_occupation",
              "marital_45_status x occupation",
              [
                "marital_45_status",
                "occupation"
              ],
              1,
              49,
              50,
              1,
              0,
              2,
              2,
              2,
              1,
              2,
              24,
              [
                "02969caf95424b6eb6dec0ee8b9975b0",
                "29980d0ec6304593981fce2e1f6a5b7f",
                "2a35f6246f144227bc71df4c932d9552",
                "35f35da1765c41b186a525b4c6cdfa96",
                "3924d3a3343142a38ef3caa900ea6d66",
                "4a8b01d813d448099768e86decf000ec",
                "4f0cf95447bc45e5a0a62f468f67e4d6",
                "5f93311adfd147f9813aec410f8ec15c",
                "6dbdcd29d6a74f77868cdc6813e5e7c1",
                "70d8a626bcc844dd877dfa3f736020b7",
                "70fa1d30cddd48948e0ce12af4a0ecc4",
                "7f703537e6624e328bb6fcc50a43cdea",
                "8074bc22900a47e68d19efea66baac57",
                "a26a3fa7cb0948ada40bef76678d3877",
                "b84aaf4448a04a6eb450a23a8f7b7f1d",
                "ca16d471921a42918f9264c513072132",
                "cdba6ff73ab64c369c4d706f45bc4144",
                "cfb186ca987a4e79a919bcb106ad73f1",
                "d13874bd7fa84d11b92c53bc18f722ae",
                "d48ef3324f004f9c840a28125ac7f704",
                "d93d90df4fb648be9303609907304851",
                "e434c8027c9d4c35962d23a378935a3d",
                "f879827597c6480fba81a066c7932168",
                "f98d150bd2564e44b1119cefbf239be5"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_de38f0041deaea0e906dc02f9bbdacaf31c4426ba3dbe1d5b1474c719ce24204",
              16,
              "module_capital_45_gain_relationship",
              "capital_45_gain x relationship",
              [
                "capital_45_gain",
                "relationship"
              ],
              1,
              17,
              18,
              1,
              0,
              2,
              2,
              2,
              1,
              2,
              8,
              [
                "03a663f246af46b2b690a592b9c51d8e",
                "48c523566aea4ffab2d8010852ccf59b",
                "6e27a63567a748b3a958139a20d3e137",
                "7eee76b0927c4fc5b51ba22e85199704",
                "c0d136a30e514c97a0f96ddf8dd705ef",
                "d50bcf80db5c4aabbc2e46e0d2392b12",
                "e4ac01936b2842509129b42e3ff4b9ac",
                "fa5946fa467c472990e5775e18d6e3fc"
              ],
              ""
            ],
            [
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533_ce211f54887c1b0b06416d57190c3c71a958e15d21c5b4394f21c965176aaa06",
              17,
              "module_educational_45_num_relationship",
              "educational_45_num x relationship",
              [
                "educational_45_num",
                "relationship"
              ],
              1,
              17,
              18,
              1,
              0,
              2,
              2,
              2,
              1,
              2,
              8,
              [
                "03a663f246af46b2b690a592b9c51d8e",
                "48c523566aea4ffab2d8010852ccf59b",
                "6e27a63567a748b3a958139a20d3e137",
                "7be739065834404cb9e5cc987d4a812e",
                "7eee76b0927c4fc5b51ba22e85199704",
                "c0d136a30e514c97a0f96ddf8dd705ef",
                "e4ac01936b2842509129b42e3ff4b9ac",
                "fa5946fa467c472990e5775e18d6e3fc"
              ],
              ""
            ]
          ],
          "foreign_keys": [],
          "labels": [],
          "types": [
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            },
            {
              "data_type": "STRING"
            }
          ]
        },
        "partitions": {
          "columns": [
            "partition_id",
            "partition_score"
          ],
          "index": [
            0
          ],
          "data": [
            [
              "partition-1",
              0.123
            ]
          ],
          "foreign_keys": [],
          "labels": [],
          "types": [
            {
              "data_type": "STRING"
            },
            {
              "data_type": "NUMBER"
            }
          ]
        },
        "bins": {
          "columns": [
            "dataset_id",
            "input_feature",
            "title",
            "short_title",
            "bin_id",
            "low",
            "high",
            "low_inclusive",
            "high_inclusive",
            "is_categorical",
            "category_value",
            "category_index",
            "bin_description",
            "symbol",
            "created_time",
            "model_id"
          ],
          "index": [
            "02969caf95424b6eb6dec0ee8b9975b0",
            "03a663f246af46b2b690a592b9c51d8e",
            "060a73b7932240be928cb38a26f56b64",
            "0941df1d2b2c4a33bcf9204e1beb67a7",
            "0bfdfcc5a6fa4beab45f444474fdff3b",
            "119ebbf9e2be42ce9ac58cd4760d6bbb",
            "17db1085b9944386b39f8b8b4e5b3a79",
            "1a7c3220320c4562aafc6ccb8719a693",
            "1cc99e23f5d54397b090435372391ce7",
            "1cf738e45f81470b83a544687e9fd5b9",
            "1f86ba4798ee46708e81a223c3e6e69b",
            "29980d0ec6304593981fce2e1f6a5b7f",
            "2a35f6246f144227bc71df4c932d9552",
            "30687e4fd005467d9d5711936a7e2740",
            "30fdf4f35aa14852b6ec69cf459acd47",
            "31d41d7704fb46f5b745fd9e2346f9cf",
            "32e855a8cb2547e28d9839deb327e87f",
            "343e61466f574ad3aa2f63c521fea0c5",
            "34940b204a75484db31e96b6c4cdc3b5",
            "35f35da1765c41b186a525b4c6cdfa96",
            "38c612268c064b32ae503d90feeecf1a",
            "3924d3a3343142a38ef3caa900ea6d66",
            "392c94069dcd4150ab95493ffc41048b",
            "40af55e7f2304a6eba2f3407bfe7ff4f",
            "419fd2d2303342598bda35b8a8643c59",
            "42c6bf495fd8468bb30bf7937c860b57",
            "48c523566aea4ffab2d8010852ccf59b",
            "49c04dec99b54019949cb4daa757d6df",
            "4a3b2d4c738f496fb8b8a6bb02c469a6",
            "4a8b01d813d448099768e86decf000ec",
            "4d78a4f178b94018a4d0e9225621ba3d",
            "4f0cf95447bc45e5a0a62f468f67e4d6",
            "5471b74d9927491f8a8a109075cdccaa",
            "54b10600b271429ebac5f4f16a9bd101",
            "56ef96ec4dff4f8e9d7b0cce2afec65f",
            "57ef7dcfd0294249b972067e819343a6",
            "59354f9241194e1bbbc0704a5df9832a",
            "593d969735b34399aead6a0f2a8ea4e5",
            "5f93311adfd147f9813aec410f8ec15c",
            "62f9dd9baa4a4c36a4fe042decbf1c79",
            "66d4710f87e2421b85ee355e13f2e594",
            "67d18827cd3545f9ad7cd02c9c26ebaa",
            "688d759623d14756813eb5f931b8f55b",
            "69e970e583834252b45a03d55fb7fc26",
            "6dbdcd29d6a74f77868cdc6813e5e7c1",
            "6e27a63567a748b3a958139a20d3e137",
            "6f58e2c42e0a4b2f98ae7dfa9e1ca1c1",
            "702d11deef64422983d9f38c58da6f19",
            "70d8a626bcc844dd877dfa3f736020b7",
            "70fa1d30cddd48948e0ce12af4a0ecc4",
            "710002a8bddb4d4cad9bf6a0ec1058f1",
            "7477610815764bbab72b2d50e1d3ca05",
            "7651750bbebc4f59b06743136eb8e908",
            "76770c83d8d7401d840704780725b473",
            "791ddae0c7024183927f8ec75b0fd44a",
            "7be739065834404cb9e5cc987d4a812e",
            "7eee76b0927c4fc5b51ba22e85199704",
            "7f703537e6624e328bb6fcc50a43cdea",
            "800f131a843c484187c9aa5e7951a635",
            "8074bc22900a47e68d19efea66baac57",
            "825f2c530aae4edda287d4e7c2877ec6",
            "853ce75913fb4c2c9c250d36a31701eb",
            "856f3b989e284455b9ff88d4cb30cec4",
            "8729cd66a144435fb3cc35a5a7f7ff8c",
            "9127f6651446424b98819825a90daead",
            "9254a17eda1f47cfb445898e7ac34c3e",
            "9733fdbc623348f7a74ab2f4d53d3ae0",
            "9a69efa0f2d949f6b390da3bc507828d",
            "9e623b7e93424f9ea34a88055936ef93",
            "a26a3fa7cb0948ada40bef76678d3877",
            "a359f87372be4ecda4165fe94993b15c",
            "ad76cadd266545af8b035102104b3d7e",
            "b004a48fc740489e88418c549098ffa3",
            "b4019f3de2da479db0ba544fddb377ab",
            "b511555423bf4021a7e7e4bac893f6b0",
            "b51ac3337f994082a7acc5eb7dfd85c5",
            "b68fee7191b840b68e97bb3c34ba6d99",
            "b6fc12b9265448d2929013af226f62cd",
            "b713ace46a354a4ebb40506583eb0203",
            "b84aaf4448a04a6eb450a23a8f7b7f1d",
            "b8fd6efd7dce4acaa4299a6d2049aba2",
            "ba3996650e404e70a0d6c3fb49cd6cb5",
            "bbc79bea1cd44ccca8af13c2fc757efe",
            "c0d136a30e514c97a0f96ddf8dd705ef",
            "c513a21976ca4959b7f745b7741d05d3",
            "ca16d471921a42918f9264c513072132",
            "cbf344fb068843fa8c47840d8045c06f",
            "cda7e16317db4df1839662da75f1a328",
            "cdba6ff73ab64c369c4d706f45bc4144",
            "cdef970dd3364b3094d0b9f09ccfc667",
            "ce9d60ec652443ffaa4c91cf1ccce112",
            "cfb186ca987a4e79a919bcb106ad73f1",
            "d13874bd7fa84d11b92c53bc18f722ae",
            "d15c53da8af743e88f845af1e8dabdff",
            "d1ef6a7a2c464bcd9b8b90528ace0185",
            "d48ef3324f004f9c840a28125ac7f704",
            "d50bcf80db5c4aabbc2e46e0d2392b12",
            "d8530c0df6be46dd978cb6b4226ecb51",
            "d93d90df4fb648be9303609907304851",
            "d9b9dbf0036d4430ae95c8504782e5eb",
            "de219c7f597e4ec38a3440592bc8441a",
            "de6428513353417aaa86a8de6192371e",
            "e434c8027c9d4c35962d23a378935a3d",
            "e4ac01936b2842509129b42e3ff4b9ac",
            "e90dcd67341b40f5b5b92b3a48b0b81b",
            "e9bdf0129f7945cb8f05f81405ac37f3",
            "f07ecdcac25e48cb88291cc6dfd330cd",
            "f0d1dc1167f14914ae8b78637e4e2e5c",
            "f5c6aab9996e4362a42e351e0d8e2dcc",
            "f879827597c6480fba81a066c7932168",
            "f98d150bd2564e44b1119cefbf239be5",
            "fa02faf8539042b7a923262b964dfb20",
            "fa5946fa467c472990e5775e18d6e3fc",
            "fbb9204a1bad43e186cdbf6f978a048a",
            "fbf46ffeb5ed4ba0b81fc37db547e0c6"
          ],
          "data": [
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "02969caf95424b6eb6dec0ee8b9975b0",
              "",
              "",
              "None",
              "None",
              true,
              "Other-service",
              9,
              "occupation[Other-service]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 9], \"id\": \"c6d80576e47544de891bc06a3cf4d28f\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Other-service\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "relationship",
              "",
              "",
              "03a663f246af46b2b690a592b9c51d8e",
              "",
              "",
              "None",
              "None",
              true,
              "Other-relative",
              3,
              "relationship[Other-relative]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"relationship\", 3], \"id\": \"409d6003f51744dfa2e288ecfad46b37\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Other-relative\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "060a73b7932240be928cb38a26f56b64",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "native_45_country[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 0], \"id\": \"0bca1c01143a4a9dab2142e180866467\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "0941df1d2b2c4a33bcf9204e1beb67a7",
              "",
              "",
              "None",
              "None",
              true,
              "7th-8th",
              6,
              "education[7th-8th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 6], \"id\": \"b5bb76193037446ea4458773a919f5cf\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"7th-8th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "0bfdfcc5a6fa4beab45f444474fdff3b",
              "",
              "",
              "None",
              "None",
              true,
              "India",
              20,
              "native_45_country[India]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 20], \"id\": \"c41f50e118124de5af129c0e2c0f9a88\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"India\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "119ebbf9e2be42ce9ac58cd4760d6bbb",
              "",
              "",
              "None",
              "None",
              true,
              "Assoc-acdm",
              8,
              "education[Assoc-acdm]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 8], \"id\": \"e226052eb4bf442fb1d9cbd5912dd443\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Assoc-acdm\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "gender",
              "",
              "",
              "17db1085b9944386b39f8b8b4e5b3a79",
              "",
              "",
              "None",
              "None",
              true,
              "Female",
              1,
              "gender[Female]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"gender\", 1], \"id\": \"6a7029ae598e4770b528cc66eebb2214\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Female\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "race",
              "",
              "",
              "1a7c3220320c4562aafc6ccb8719a693",
              "",
              "",
              "None",
              "None",
              true,
              "Other",
              4,
              "race[Other]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"race\", 4], \"id\": \"c5860e5b18f2401f9298fda32b40a64c\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Other\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "1cc99e23f5d54397b090435372391ce7",
              "",
              "",
              "None",
              "None",
              true,
              "Columbia",
              6,
              "native_45_country[Columbia]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 6], \"id\": \"56289cd8283449dc9dfdd810fe678b38\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Columbia\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "1cf738e45f81470b83a544687e9fd5b9",
              "",
              "",
              "None",
              "None",
              true,
              "Haiti",
              16,
              "native_45_country[Haiti]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 16], \"id\": \"acae68469cd140189c61c2b81ff4c21f\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Haiti\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "1f86ba4798ee46708e81a223c3e6e69b",
              "",
              "",
              "None",
              "None",
              true,
              "Prof-school",
              15,
              "education[Prof-school]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 15], \"id\": \"5caad02def5a4b3f8c63860398cdaeca\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Prof-school\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "29980d0ec6304593981fce2e1f6a5b7f",
              "",
              "",
              "None",
              "None",
              true,
              "Prof-specialty",
              11,
              "occupation[Prof-specialty]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 11], \"id\": \"074eff490d114d63ad0ae740c775e214\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Prof-specialty\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "marital_45_status",
              "",
              "",
              "2a35f6246f144227bc71df4c932d9552",
              "",
              "",
              "None",
              "None",
              true,
              "Separated",
              6,
              "marital_45_status[Separated]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"marital_45_status\", 6], \"id\": \"59a454b479e54c9dbceec27467d83281\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Separated\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "30687e4fd005467d9d5711936a7e2740",
              "",
              "",
              "None",
              "None",
              true,
              "10th",
              1,
              "education[10th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 1], \"id\": \"5492f50967ce4c26aa74724326615ecd\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"10th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "race",
              "",
              "",
              "30fdf4f35aa14852b6ec69cf459acd47",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "race[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"race\", 0], \"id\": \"4b89f6fe7e284cae9cbaf1892ad4ac9f\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "31d41d7704fb46f5b745fd9e2346f9cf",
              "",
              "",
              "None",
              "None",
              true,
              "Iran",
              21,
              "native_45_country[Iran]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 21], \"id\": \"e79531eef38842f5ae64838c0d103dc9\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Iran\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "32e855a8cb2547e28d9839deb327e87f",
              "",
              "",
              "None",
              "None",
              true,
              "United-States",
              40,
              "native_45_country[United-States]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 40], \"id\": \"065ba06240a143e5b913e15b215608d8\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"United-States\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "343e61466f574ad3aa2f63c521fea0c5",
              "",
              "",
              "None",
              "None",
              true,
              "Outlying-US(Guam-USVI-etc)",
              29,
              "native_45_country[Outlying-US(Guam-USVI-etc)]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 29], \"id\": \"4a8c56c04c6b491b8a0820521d902861\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Outlying-US(Guam-USVI-etc)\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "34940b204a75484db31e96b6c4cdc3b5",
              "",
              "",
              "None",
              "None",
              true,
              "Cuba",
              7,
              "native_45_country[Cuba]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 7], \"id\": \"3db83fb37827476d8fc8645289ae2068\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Cuba\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "35f35da1765c41b186a525b4c6cdfa96",
              "",
              "",
              "None",
              "None",
              true,
              "Craft-repair",
              4,
              "occupation[Craft-repair]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 4], \"id\": \"8ff11659d64a4728a5db9ef296f60d34\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Craft-repair\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "38c612268c064b32ae503d90feeecf1a",
              "",
              "",
              "None",
              "None",
              true,
              "Italy",
              23,
              "native_45_country[Italy]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 23], \"id\": \"6d420304bc0a41abae4f3a218dbf70f7\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Italy\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "3924d3a3343142a38ef3caa900ea6d66",
              "",
              "",
              "None",
              "None",
              true,
              "?",
              1,
              "occupation[?]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 1], \"id\": \"481b2deb76294003ac0ac798304c12eb\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"?\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "392c94069dcd4150ab95493ffc41048b",
              "",
              "",
              "None",
              "None",
              true,
              "Yugoslavia",
              42,
              "native_45_country[Yugoslavia]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 42], \"id\": \"9006a4d5d7ae4ec5a4075470fe328c7a\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Yugoslavia\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "workclass",
              "",
              "",
              "40af55e7f2304a6eba2f3407bfe7ff4f",
              "",
              "",
              "None",
              "None",
              true,
              "Self-emp-inc",
              6,
              "workclass[Self-emp-inc]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"workclass\", 6], \"id\": \"c10625d503334648b4cb6e5e9c8b8a98\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Self-emp-inc\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "419fd2d2303342598bda35b8a8643c59",
              "",
              "",
              "None",
              "None",
              true,
              "Philippines",
              31,
              "native_45_country[Philippines]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 31], \"id\": \"ba6f3db063644d58bc5cb2e2c6e2f3ea\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Philippines\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "42c6bf495fd8468bb30bf7937c860b57",
              "",
              "",
              "None",
              "None",
              true,
              "Masters",
              13,
              "education[Masters]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 13], \"id\": \"0dc57e21a5e94777b1b349c473e59511\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Masters\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "relationship",
              "",
              "",
              "48c523566aea4ffab2d8010852ccf59b",
              "",
              "",
              "None",
              "None",
              true,
              "Unmarried",
              5,
              "relationship[Unmarried]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"relationship\", 5], \"id\": \"5c06dc76d28b400db191d820dda1cc4b\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Unmarried\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "race",
              "",
              "",
              "49c04dec99b54019949cb4daa757d6df",
              "",
              "",
              "None",
              "None",
              true,
              "Black",
              3,
              "race[Black]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"race\", 3], \"id\": \"4c3f3587ec634b43991b078354392993\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Black\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "workclass",
              "",
              "",
              "4a3b2d4c738f496fb8b8a6bb02c469a6",
              "",
              "",
              "None",
              "None",
              true,
              "Self-emp-not-inc",
              7,
              "workclass[Self-emp-not-inc]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"workclass\", 7], \"id\": \"316860d8252b4071aa624561b037d425\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Self-emp-not-inc\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "4a8b01d813d448099768e86decf000ec",
              "",
              "",
              "None",
              "None",
              true,
              "Adm-clerical",
              2,
              "occupation[Adm-clerical]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 2], \"id\": \"01f094e3afe846c387527842b23c817a\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Adm-clerical\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "workclass",
              "",
              "",
              "4d78a4f178b94018a4d0e9225621ba3d",
              "",
              "",
              "None",
              "None",
              true,
              "State-gov",
              8,
              "workclass[State-gov]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"workclass\", 8], \"id\": \"3a7ee5b189c045b49d03e60032a6e517\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"State-gov\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "4f0cf95447bc45e5a0a62f468f67e4d6",
              "",
              "",
              "None",
              "None",
              true,
              "Transport-moving",
              15,
              "occupation[Transport-moving]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 15], \"id\": \"a713d3b1b6af4f72bb8a0952505a836a\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Transport-moving\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "race",
              "",
              "",
              "5471b74d9927491f8a8a109075cdccaa",
              "",
              "",
              "None",
              "None",
              true,
              "Amer-Indian-Eskimo",
              1,
              "race[Amer-Indian-Eskimo]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"race\", 1], \"id\": \"c83e9c9b0bee4bd587a29e8353b98dfe\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Amer-Indian-Eskimo\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "54b10600b271429ebac5f4f16a9bd101",
              "",
              "",
              "None",
              "None",
              true,
              "Some-college",
              16,
              "education[Some-college]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 16], \"id\": \"707fc9e7cf064f00bc2f564d36672963\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Some-college\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "56ef96ec4dff4f8e9d7b0cce2afec65f",
              "",
              "",
              "None",
              "None",
              true,
              "El-Salvador",
              10,
              "native_45_country[El-Salvador]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 10], \"id\": \"966c51b29a0c4ed190c11498be682e04\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"El-Salvador\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "57ef7dcfd0294249b972067e819343a6",
              "",
              "",
              "None",
              "None",
              true,
              "11th",
              2,
              "education[11th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 2], \"id\": \"4262807d2adb4a93b46772b9d80e841a\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"11th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "59354f9241194e1bbbc0704a5df9832a",
              "",
              "",
              "None",
              "None",
              true,
              "Assoc-voc",
              9,
              "education[Assoc-voc]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 9], \"id\": \"0f5463f8dfa745fc9223697d701cfbb4\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Assoc-voc\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "593d969735b34399aead6a0f2a8ea4e5",
              "",
              "",
              "None",
              "None",
              true,
              "Mexico",
              27,
              "native_45_country[Mexico]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 27], \"id\": \"0398f5a418b6408ab6ec18ed4ae5d317\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Mexico\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "marital_45_status",
              "",
              "",
              "5f93311adfd147f9813aec410f8ec15c",
              "",
              "",
              "None",
              "None",
              true,
              "Divorced",
              1,
              "marital_45_status[Divorced]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"marital_45_status\", 1], \"id\": \"148e052469aa42e6b720cb423e2fd0fa\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Divorced\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "62f9dd9baa4a4c36a4fe042decbf1c79",
              "",
              "",
              "None",
              "None",
              true,
              "Preschool",
              14,
              "education[Preschool]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 14], \"id\": \"8f00aef222c2424d81dd42384aaa52bb\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Preschool\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "66d4710f87e2421b85ee355e13f2e594",
              "",
              "",
              "None",
              "None",
              true,
              "1st-4th",
              4,
              "education[1st-4th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 4], \"id\": \"29b2107cf4384de6bb77d3070d5c9307\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"1st-4th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "67d18827cd3545f9ad7cd02c9c26ebaa",
              "",
              "",
              "None",
              "None",
              true,
              "Poland",
              32,
              "native_45_country[Poland]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 32], \"id\": \"79b8be0a96dd41c38d0d45a412083796\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Poland\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "gender",
              "",
              "",
              "688d759623d14756813eb5f931b8f55b",
              "",
              "",
              "None",
              "None",
              true,
              "Male",
              2,
              "gender[Male]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"gender\", 2], \"id\": \"95249a872c03471c9883d3f2ef92f149\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Male\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "69e970e583834252b45a03d55fb7fc26",
              "",
              "",
              "None",
              "None",
              true,
              "Ireland",
              22,
              "native_45_country[Ireland]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 22], \"id\": \"696a90af5a8043e1af1a90ae3696f8d5\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Ireland\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "6dbdcd29d6a74f77868cdc6813e5e7c1",
              "",
              "",
              "None",
              "None",
              true,
              "Protective-serv",
              12,
              "occupation[Protective-serv]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 12], \"id\": \"17dc7aeddcfa4dfa9339cae6ed88c992\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Protective-serv\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "relationship",
              "",
              "",
              "6e27a63567a748b3a958139a20d3e137",
              "",
              "",
              "None",
              "None",
              true,
              "Husband",
              1,
              "relationship[Husband]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"relationship\", 1], \"id\": \"841ce53593354d2090ce6deb20316482\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Husband\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "6f58e2c42e0a4b2f98ae7dfa9e1ca1c1",
              "",
              "",
              "None",
              "None",
              true,
              "Germany",
              13,
              "native_45_country[Germany]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 13], \"id\": \"e4fd49f05023417b87383088e15880ec\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Germany\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "gender",
              "",
              "",
              "702d11deef64422983d9f38c58da6f19",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "gender[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"gender\", 0], \"id\": \"036f426f195b4c198e6febd4d3b76534\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "70d8a626bcc844dd877dfa3f736020b7",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "occupation[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 0], \"id\": \"8745c3ac0b86474e8ee0272f4f313766\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "70fa1d30cddd48948e0ce12af4a0ecc4",
              "",
              "",
              "None",
              "None",
              true,
              "Machine-op-inspct",
              8,
              "occupation[Machine-op-inspct]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 8], \"id\": \"d399fc9498a84a5bae20ae3558fb1363\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Machine-op-inspct\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "710002a8bddb4d4cad9bf6a0ec1058f1",
              "",
              "",
              "None",
              "None",
              true,
              "__INFREQUENT__",
              1,
              "native_45_country[__INFREQUENT__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 1], \"id\": \"4e83d03071fb4d53be7328488de643c8\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__INFREQUENT__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "7477610815764bbab72b2d50e1d3ca05",
              "",
              "",
              "None",
              "None",
              true,
              "Laos",
              26,
              "native_45_country[Laos]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 26], \"id\": \"e9053af4f5b84a8e94286b1b64ac3075\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Laos\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "7651750bbebc4f59b06743136eb8e908",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "education[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 0], \"id\": \"10bab548402b43fa8a7965eefffe8976\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "age",
              "",
              "",
              "76770c83d8d7401d840704780725b473",
              "-INFINITY",
              "INFINITY",
              "False",
              "False",
              false,
              "None",
              "",
              "age[>-inf, <inf]",
              "{\"type_ref\": \"Symbols.FeatureSymbol\", \"*args\": [\"age\"], \"id\": \"16472cacc1c8486e9a87cc17f5e55071\", \"dataset_name\": \"2bcb9dc8-adult_income-root\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "791ddae0c7024183927f8ec75b0fd44a",
              "",
              "",
              "None",
              "None",
              true,
              "Greece",
              14,
              "native_45_country[Greece]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 14], \"id\": \"7ba9d299143e4e6cb26c61d36f0a5849\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Greece\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "educational_45_num",
              "",
              "",
              "7be739065834404cb9e5cc987d4a812e",
              "-INFINITY",
              "INFINITY",
              "False",
              "False",
              false,
              "None",
              "",
              "educational_45_num[>-inf, <inf]",
              "{\"type_ref\": \"Symbols.FeatureSymbol\", \"*args\": [\"educational_45_num\"], \"id\": \"b6bcfa3897c74f2693d3b5d91e32e926\", \"dataset_name\": \"2bcb9dc8-adult_income-root\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "relationship",
              "",
              "",
              "7eee76b0927c4fc5b51ba22e85199704",
              "",
              "",
              "None",
              "None",
              true,
              "__MASK__",
              0,
              "relationship[__MASK__]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"relationship\", 0], \"id\": \"ceec4ac449b34768b14cca8a6ee8a91e\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"__MASK__\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "occupation",
              "",
              "",
              "7f703537e6624e328bb6fcc50a43cdea",
              "",
              "",
              "None",
              "None",
              true,
              "Farming-fishing",
              6,
              "occupation[Farming-fishing]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"occupation\", 6], \"id\": \"8b3c377a15b6474eb95646ed070ca7a4\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Farming-fishing\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "800f131a843c484187c9aa5e7951a635",
              "",
              "",
              "None",
              "None",
              true,
              "Japan",
              25,
              "native_45_country[Japan]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 25], \"id\": \"138a237c6314432195394661585137c0\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Japan\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "marital_45_status",
              "",
              "",
              "8074bc22900a47e68d19efea66baac57",
              "",
              "",
              "None",
              "None",
              true,
              "Married-AF-spouse",
              2,
              "marital_45_status[Married-AF-spouse]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"marital_45_status\", 2], \"id\": \"1404149cb85c405785b6a46eae93ede7\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Married-AF-spouse\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "825f2c530aae4edda287d4e7c2877ec6",
              "",
              "",
              "None",
              "None",
              true,
              "Doctorate",
              11,
              "education[Doctorate]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 11], \"id\": \"da61b0c799654c9b82e727f6a41fc3ec\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Doctorate\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "853ce75913fb4c2c9c250d36a31701eb",
              "",
              "",
              "None",
              "None",
              true,
              "Cambodia",
              3,
              "native_45_country[Cambodia]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 3], \"id\": \"8471cbb50c324e6682a4e0f44aac0427\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Cambodia\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "856f3b989e284455b9ff88d4cb30cec4",
              "",
              "",
              "None",
              "None",
              true,
              "9th",
              7,
              "education[9th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 7], \"id\": \"6f015d2e1bb14a2ab69799bd75e41a37\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"9th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "capital_45_loss",
              "",
              "",
              "8729cd66a144435fb3cc35a5a7f7ff8c",
              "-INFINITY",
              "INFINITY",
              "False",
              "False",
              false,
              "None",
              "",
              "capital_45_loss[>-inf, <inf]",
              "{\"type_ref\": \"Symbols.FeatureSymbol\", \"*args\": [\"capital_45_loss\"], \"id\": \"af43a761294a4a7780f075d31e4b896a\", \"dataset_name\": \"2bcb9dc8-adult_income-root\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "9127f6651446424b98819825a90daead",
              "",
              "",
              "None",
              "None",
              true,
              "Hungary",
              19,
              "native_45_country[Hungary]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 19], \"id\": \"885ecb2bc11f4b0db5dbc653ffda9405\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Hungary\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "9254a17eda1f47cfb445898e7ac34c3e",
              "",
              "",
              "None",
              "None",
              true,
              "Trinadad&Tobago",
              39,
              "native_45_country[Trinadad&Tobago]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 39], \"id\": \"5ace0e7f535942b7888657767bb5f023\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Trinadad&Tobago\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "9733fdbc623348f7a74ab2f4d53d3ae0",
              "",
              "",
              "None",
              "None",
              true,
              "Guatemala",
              15,
              "native_45_country[Guatemala]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 15], \"id\": \"64c54542d9e3487c9ea350915cf9e7c9\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Guatemala\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "9a69efa0f2d949f6b390da3bc507828d",
              "",
              "",
              "None",
              "None",
              true,
              "England",
              11,
              "native_45_country[England]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 11], \"id\": \"6815a3983f5d4ee48da35c34cacb0558\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"England\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "workclass",
              "",
              "",
              "9e623b7e93424f9ea34a88055936ef93",
              "",
              "",
              "None",
              "None",
              true,
              "Private",
              5,
              "workclass[Private]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"workclass\", 5], \"id\": \"d6d471f961eb4233bb8c622c5c7f20d4\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Private\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "marital_45_status",
              "",
              "",
              "a26a3fa7cb0948ada40bef76678d3877",
              "",
              "",
              "None",
              "None",
              true,
              "Married-civ-spouse",
              3,
              "marital_45_status[Married-civ-spouse]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"marital_45_status\", 3], \"id\": \"3ff6fc94be694eae95b2cbb12d39dca7\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Married-civ-spouse\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "race",
              "",
              "",
              "a359f87372be4ecda4165fe94993b15c",
              "",
              "",
              "None",
              "None",
              true,
              "Asian-Pac-Islander",
              2,
              "race[Asian-Pac-Islander]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"race\", 2], \"id\": \"b812563ce59d47e7adf1d4276f5f7e32\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Asian-Pac-Islander\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "ad76cadd266545af8b035102104b3d7e",
              "",
              "",
              "None",
              "None",
              true,
              "Bachelors",
              10,
              "education[Bachelors]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 10], \"id\": \"487a9327297f4fbc823ff5094b8f511f\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Bachelors\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "b004a48fc740489e88418c549098ffa3",
              "",
              "",
              "None",
              "None",
              true,
              "Portugal",
              33,
              "native_45_country[Portugal]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 33], \"id\": \"4f4b27a4212e4a4bb974f25950929805\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Portugal\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "b4019f3de2da479db0ba544fddb377ab",
              "",
              "",
              "None",
              "None",
              true,
              "HS-grad",
              12,
              "education[HS-grad]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 12], \"id\": \"c644dbc01f194a7fa6c215b3d2d6b981\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"HS-grad\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "education",
              "",
              "",
              "b511555423bf4021a7e7e4bac893f6b0",
              "",
              "",
              "None",
              "None",
              true,
              "5th-6th",
              5,
              "education[5th-6th]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"education\", 5], \"id\": \"977274871271496e862e43d2f84b34e0\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"5th-6th\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "b51ac3337f994082a7acc5eb7dfd85c5",
              "",
              "",
              "None",
              "None",
              true,
              "?",
              2,
              "native_45_country[?]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 2], \"id\": \"cf9248898dd74b2cb1d536133379a8a7\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"?\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "b68fee7191b840b68e97bb3c34ba6d99",
              "",
              "",
              "None",
              "None",
              true,
              "Honduras",
              17,
              "native_45_country[Honduras]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 17], \"id\": \"1afd0847a62a42baaa404ab4d87888ab\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"Honduras\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "b6fc12b9265448d2929013af226f62cd",
              "",
              "",
              "None",
              "None",
              true,
              "China",
              5,
              "native_45_country[China]",
              "{\"type_ref\": \"Symbols.CategorySymbol\", \"*args\": [\"native_45_country\", 5], \"id\": \"219ec880d6d740fe8ae0bb1fccdb4805\", \"dataset_name\": \"2bcb9dc8-adult_income-root\", \"index_name\": \"China\", \"encoding\": \"ONE_HOT_ENCODING\"}",
              1769708,
              "2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533"
            ],
            [
              "daf6694d509448c9bedd8b624a08999f",
              "native_45_country",
              "",
              "",
              "b713ace46a354a4ebb40506583eb0203",
              "",
              "",
              "None",
              "None",
              true,
              "Jamaica",
              24,
              "native_45_country[Jamaica]",
[...]
